View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
18097Bug reportsOtherpublic2022-05-16 11:20
Reporterritapas Assigned Toc_schmitz  
PrioritynoneSeveritytrivial 
Status closedResolutionfixed 
Product Version3.28.x 
Summary18097: data policy screen is not clear
Description

When you display the data policy as collapsible text, you get two ways to accept the policy: either the checkbox or the Accept button.
However, the interface is not so clear.
It's not clear that the "show policy" label is indeed a button to show the policy.
The checkbox looks like it is meant to show the policy.
When the Accept button appears it it is more likely that users get this wrong.

Steps To Reproduce

Create a survey and enable Data policy as collapsible text.
Execute the survey.

When user presses the "show policy" labels, i would expect the Accept button to take place INSTEAD of the checkbox.

TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build) 3.28.8 (build 220426)
I will donate to the project if issue is resolvedNo
Browser
Database type & versionphp-mysql-5.4.16
Server OS (if known) Red Hat Enterprise Linux Server release 7.5 (Maipo)
Webserver software & version (if known)
PHP Versionrh-php71

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

ritapas

ritapas

2022-05-10 12:57

reporter  

DataPolicyCheckbox.png (25,944 bytes)   
DataPolicyCheckbox.png (25,944 bytes)   
c_schmitz

c_schmitz

2022-05-10 13:58

administrator   ~69541

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33477

ritapas

ritapas

2022-05-11 02:20

reporter   ~69561

sorry,I cannot open the link http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33477

LimeBot

LimeBot

2022-05-16 11:19

administrator   ~69654

Fixed in Release 5.3.14+220516

ritapas

ritapas

2022-05-16 11:20

reporter   ~69661

will this be fixed in 3LTS?

Related Changesets

LimeSurvey: master 4b8048ec

2022-05-10 13:57:44

c_schmitz

Details Diff
Fixed issue 18097: Data policy checkbox has confusing location Affected Issues
18097
mod - assets/packages/template-core/template-core.css Diff File
mod - themes/survey/vanilla/views/subviews/privacy/privacy_datasecurity_notice_label.twig Diff File
mod - themes/survey/vanilla/views/subviews/privacy/privacy_modal.twig Diff File

Issue History

Date Modified Username Field Change
2022-05-10 12:57 ritapas New Issue
2022-05-10 12:57 ritapas File Added: DataPolicyCheckbox.png
2022-05-10 13:56 c_schmitz Assigned To => c_schmitz
2022-05-10 13:56 c_schmitz Status new => assigned
2022-05-10 13:58 c_schmitz Status assigned => resolved
2022-05-10 13:58 c_schmitz Resolution open => fixed
2022-05-10 13:58 c_schmitz Changeset attached => LimeSurvey master 4b8048ec
2022-05-10 13:58 c_schmitz Note Added: 69541
2022-05-10 13:58 c_schmitz Bug heat 0 => 2
2022-05-11 02:20 ritapas Note Added: 69561
2022-05-11 02:20 ritapas Bug heat 2 => 4
2022-05-16 11:19 LimeBot Note Added: 69654
2022-05-16 11:19 LimeBot Status resolved => closed
2022-05-16 11:19 LimeBot Bug heat 4 => 6
2022-05-16 11:20 ritapas Note Added: 69661